Skip to main content

Get order location

GET /v2/post_checkout/orders/{order_id}/location

Retrieves the current location of an order while the order is being delivered to the customer. The location is returned as geographic coordinates. If you send this request while the order is not in the DELIVERING state, the response is empty.

If the remove shopper information feature is enabled, then the response has a 403 status code.

Security​

NameInDescription
AuthorizationheaderThe Authorization header with the bearer token acquired during authentication.

Parameters​

NameInTypeRequiredDescription
order_idpathstringRequired

The order ID.

Request​

None.

Request examples​

curl --request GET \
--url 'https://connect.instacart.com/v2/post_checkout/orders/{order_id}/location' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>'

Response​

FieldTypeRequiredDescription
coordinatesCoordinatesRequired

The coordinates.

Coordinates Object​

FieldTypeRequiredDescription
latitudenumberRequired

The latitude.

longitudenumberRequired

The longitude.

Response examples​

200 Success

{
"coordinates": {
"latitude": 1,
"longitude": 1
}
}

4XX Errors

Error responses return either a single error or multiple errors.

HTTP CodeCauseError MessageError CodeError Meta
400Order was not created with Fulfillment v3, trying to fetch with client credentials"User ID not found"4001Not applicable
403Retailer requested to redact shopper PII"Shopper PII"nullNot applicable